import { AfterContentInit, QueryList, EventEmitter, ElementRef, Renderer2 } from '@angular/core';
import { TabDirective } from './tab.directive';
import * as i0 from "@angular/core";
/**
 * The Tabs component contains <unoTab />, TabDirective template
 *
 * @example
 *
    <uno-tabs [(selected)]="selectedTab">
        <ng-template unoTab unoTabId="tab1" heading="Tab 1">
            Tab 1
        </ng-template>
        <ng-template unoTab unoTabId="tab2" heading="Tab 2">
            Tab 2
        </ng-template>
        <ng-template unoTab unoTabId="tab2" heading="Tab 3">
        ...
    </uno-tabs>
 */
export declare class TabsComponent implements AfterContentInit {
    private element;
    private renderer;
    type: 'default' | 'scoped';
    alignment: string;
    activeTabDashColor: string;
    activeTabCustomStyle: {};
    tabs: QueryList<TabDirective>;
    activeTab: TabDirective;
    selected: string | number | TabDirective;
    set setSelected(selectedTab: string | number | TabDirective);
    selectedChange: EventEmitter<TabDirective>;
    constructor(element: ElementRef, renderer: Renderer2);
    ngAfterContentInit(): void;
    select(tab: TabDirective): void;
    move(evt: Event, moves: number): void;
    /**
     * AUX functions:
     */
    private applyCustomStyleActiveTab;
    private activate;
    private findTab;
    static ɵfac: i0.ɵɵFactoryDeclaration<TabsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TabsComponent, "uno-tabs", never, { "type": "type"; "alignment": "alignment"; "activeTabDashColor": "activeTabDashColor"; "setSelected": "selected"; }, { "selectedChange": "selectedChange"; }, ["tabs"], never, false>;
}
